# AnswerShippingQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.answers.payments.abstracts / AnswerShippingQuery

# AnswerShippingQuery

(common) `interface AnswerShippingQuery : SimpleRequest<Boolean>` (source)

### Properties

(common)

#### isOk

`abstract val isOk: Boolean`

(common)

#### resultDeserializer

`open val resultDeserializer: DeserializationStrategy<Boolean>`

(common)

#### shippingQueryId

`abstract val shippingQueryId: ShippingQueryIdentifier`

### Functions

(common)

#### method

`open fun method(): String`

### Inheritors

(common)

#### AnswerShippingQueryError

`data class AnswerShippingQueryError : AnswerShippingQuery`

(common)

#### AnswerShippingQueryOk

`data class AnswerShippingQueryOk : AnswerShippingQuery`